/* This file is part of the KDE Project
   Copyright (c) 2008 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _NEPOMUK_ALIGNMENT_H_
#define _NEPOMUK_ALIGNMENT_H_

#include <kdedmodule.h>

#include <QtCore/QVariant>

namespace Soprano {
    class Model;
    namespace Client {
        class DBusClient;
    }
}

namespace Nepomuk {
    class Alignment : public KDEDModule
    {
        Q_OBJECT

    public:
        Alignment( QObject* parent, const QVariantList& );
        ~Alignment();

    private Q_SLOTS:
        void slotStatementsAdded();

    private:
        void fixupTagUris();

        Soprano::Model* sopranoModel();

        Soprano::Client::DBusClient* m_sopranoClient;
        Soprano::Model* m_sopranoModel;
    };
}

#endif
