#include "kinotifywatchpool.h"
#include "kinotifywatch.h"


KInotify::WatchPool::WatchPool( QObject* parent )
    : QObject( parent )
{
}


KInotify::WatchPool::~WatchPool()
{
}


void KInotify::WatchPool::registerWatch( Watch* watch )
{
    m_watches[watch->path()] = watch;
    m_watchIdMap[watch->descriptor()] = watch;
    connect( watch, SIGNAL( watchUserLimitReached() ),
             parent(), SIGNAL( watchUserLimitReached() ) );
}


void KInotify::WatchPool::removeWatch( Watch* watch )
{
    m_watches.remove( watch->path() );
    m_watchIdMap.remove( watch->descriptor() );
}


KInotify::Watch* KInotify::WatchPool::watchForPath( const QString& path )
{
    QHash<QString, Watch*>::iterator it = m_watches.find( path );
    if (  it != m_watches.end() ) {
        return *it;
    }
    else {
        return 0;
    }
}


KInotify::Watch* KInotify::WatchPool::watchById( int id )
{
    QHash<int, Watch*>::iterator it = m_watchIdMap.find( id );
    if (  it != m_watchIdMap.end() ) {
        return *it;
    }
    else {
        return 0;
    }
}


void KInotify::WatchPool::clear()
{
    m_watches.clear();
    m_watchIdMap.clear();
}

#include "kinotifywatchpool.moc"
