#ifndef _KINOTIFY_WATCH_POOL_H_
#define _KINOTIFY_WATCH_POOL_H_

#include <QtCore/QObject>
#include <QtCore/QHash>

namespace KInotify {

    class Watch;

    class WatchPool : public QObject
    {
	Q_OBJECT

    public:
	WatchPool( QObject* parent );
	~WatchPool();

	void registerWatch( Watch* );
	void removeWatch( Watch* );

	Watch* watchForPath( const QString& path );
	Watch* watchById( int id );

	void clear();

    private:
	QHash<QString, Watch*> m_watches;
	QHash<int, Watch*> m_watchIdMap;
    };
}

#endif
