/*
 *
 * $Id: sourceheader 511311 2006-02-19 14:51:05Z trueg $
 *
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2006-2007 Sebastian Trueg <trueg@kde.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */

#include <KApplication>
#include "mainwindow.h"

#include <KCmdLineArgs>
#include <KAboutData>


int main( int argc, char *argv[] )
{
    KAboutData aboutData( "nepomuksearch", 0,
                          ki18n("Nepomuk Search Interface"),
                          "0.1",
                          ki18n("Simple Nepomuk Search Interface"),
                          KAboutData::License_GPL,
                          ki18n("(c) 2007, Sebastian Trüg"),
                          KLocalizedString(),
                          "http://nepomuk-kde.semanticdesktop.org" );
    aboutData.addAuthor(ki18n("Sebastian Trüg"),ki18n("Maintainer"), "trueg@kde.org");

    KCmdLineArgs::init( argc, argv, &aboutData );

    KCmdLineOptions options;
    KCmdLineArgs::addCmdLineOptions( options );

    KApplication app;

    MainWindow mainWin;
    mainWin.show();

    return app.exec();
}
