/* 
 *
 * $Id: sourceheader 511311 2006-02-19 14:51:05Z trueg $
 *
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2006 Sebastian Trueg <trueg@kde.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */

#ifndef _MAIN_WINDOW_H_
#define _MAIN_WINDOW_H_

#include <QtGui/QMainWindow>
#include <QtCore/QModelIndex>
#include <QtCore/QHash>
#include <QtCore/QUrl>

#include "ui_mainwindow.h"

namespace Soprano {
    class Model;
    namespace Client {
        class DBusClient;
    }
}
namespace Nepomuk {
    class SearchHitModel;
    namespace Search {
        class SearchCore;
    }
}

class QModelIndex;
class KCategorizedSortFilterProxyModel;
class KCompletion;

class MainWindow : public QMainWindow, public Ui::MainWindow
{
    Q_OBJECT

 public:
    MainWindow();
    ~MainWindow();

 private Q_SLOTS:
    void slotSearch();
    void slotItemActivated( const QModelIndex& );

private:
    Soprano::Client::DBusClient* m_client;
    Soprano::Model* m_model;
    Nepomuk::SearchHitModel* m_searchHitModel;
    KCategorizedSortFilterProxyModel* m_searchProxyModel;
    Nepomuk::Search::SearchCore* m_searchCore;
    KCompletion* m_searchCompletion;
};

#endif
