/*
   This file is part of the Nepomuk KDE project.
   Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 */

#include "nepomukfileresourceguiitem.h"

#include <KFileItem>
#include <KFileMetaInfo>

#include <nepomuk/resource.h>


Nepomuk::FileResourceGuiItem::FileResourceGuiItem( QObject* parent, const QList<QVariant>& )
    : GenericResourceGuiItem( parent )
{
}


Nepomuk::FileResourceGuiItem::~FileResourceGuiItem()
{
}


QString Nepomuk::FileResourceGuiItem::genericLabel( const Resource& resource )
{
    return GenericResourceGuiItem::genericLabel( resource );
}


QString Nepomuk::FileResourceGuiItem::genericDescription( const Resource& resource )
{
    QString s;
    KFileItem fi( KFileItem::Unknown, KFileItem::Unknown, resource.resourceUri() );
    s += fi.mimeComment() + '\n';
    KFileMetaInfo metaInfo = fi.metaInfo();
    foreach( KFileMetaInfoItem item, metaInfo.items() ) {
        s += item.name() + ": " + item.value().toString() + '\n';
    }
    return s;
}


QPixmap Nepomuk::FileResourceGuiItem::genericPixmap( const Resource& resource, const QSize& size )
{
    // FIXME: implement preview
    return GenericResourceGuiItem::genericPixmap( resource, size );
}


// void Nepomuk::FileResourceGuiItem::slotGotPreview( const KFileItem&, const QPixmap& )
// {
// }


// QPixmap Nepomuk::FileResourceGuiItem::getPreview( const QUrl& url )
// {
// }

#include "nepomukfileresourceguiitem.moc"
