/*
   This file is part of the Nepomuk KDE project.
   Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 */

#ifndef _NEPOMUK_FILE_RESOURCE_GUI_ITEM_H_
#define _NEPOMUK_FILE_RESOURCE_GUI_ITEM_H_

#include "genericresourceguiitem.h"

#include "abstractresourceguiitem.h"

#include <QtCore/QHash>
#include <QtCore/QPair>
#include <QtCore/QUrl>
#include <QtGui/QPixmap>

#include <KPluginFactory>
#include <KPluginLoader>

inline uint qHash( const QUrl& url ) {
    return qHash(url.toString());
}

class KFileItem;

namespace Nepomuk {

    class Resource;

    class FileResourceGuiItem : public GenericResourceGuiItem
    {
        Q_OBJECT

    public:
        FileResourceGuiItem( QObject* parent, const QList<QVariant>& );
        ~FileResourceGuiItem();
	
    protected:
        QString genericLabel( const Resource& resource );
        QString genericDescription( const Resource& resource );
        QPixmap genericPixmap( const Resource& resource, const QSize& size );

/*     private Q_SLOTS: */
/*         void slotGotPreview( const KFileItem&, const QPixmap& ); */

    private:
/*         QPixmap getPreview( const QUrl& url ); */

/*         QHash<QUrl, QPair<QSize, QPixmap> > m_previewCache; */
    };
}

K_PLUGIN_FACTORY(FileResourceGuiItemFactory, registerPlugin<Nepomuk::FileResourceGuiItem>();)
K_EXPORT_PLUGIN(FileResourceGuiItemFactory("nepomuk_fileresourceguiitem"))

#endif
